# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name regex-tdfa

# common part of summary for all the subpackages
%global common_summary Haskell regular expression library

# main description used for all the subpackages
%global common_description A new all Haskell "tagged" DFA regex engine, inspired by libtre.


Name:           ghc-%{pkg_name}
Version:        1.1.8
Release:        3%{?dist}.3
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
# macros for building haskell packages
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
BuildRequires:  ghc-regex-base-prof,ghc-parsec-prof,ghc-mtl-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# define the shared, devel and prof subpkgs, devel scripts,
# and filelists: ghc-regex-tdfa.files, ghc-regex-tdfa-devel.files
%ghc_lib_package


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.8-3.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.1.8-2.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.1.8-2.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 1.1.8-2.1
- rebuild with new gmp

* Tue Jun 21 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.1.8-2
- Update to cabal2spec-0.23.2

* Mon Apr 18 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.1.8-1
- Package update to 1.1.8. Update to cabal2spec 0.22.5

* Fri Mar 11 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.1.7-6
Rebuild for ghc-7.0.2

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.1.7-5
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.1.7-3
- rebuild for ghc7
- update to cabal2spec 0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 1.1.7-2
- rebuild

* Sun Nov 28 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.1.7-1
- updated to 1.1.7

* Sun Nov 28 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.1.6-2
- Rebuilding for ghc7

* Sun Oct 31 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.1.6-1
- package updated to 1.1.6

* Sat Sep 18 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.1.4-1
- using ghc-rpm-macros 0.8.1 
- package updated to 1.1.4

* Sat Jul  3 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.1.3-1
- initial packaging for Fedora automatically generated by cabal2spec-0.22.1
- Updated to use ghc_lib_package, ghc_lib_build, ghc_lib_install macros instead of cabal macros

* Tue May 25 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 1.1.2-1
- initial packaging for Fedora automatically generated by cabal2spec-0.21.3
